Package io.dapr.v1

# Interface DaprProtos.GetSecretResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.GetSecretResponse`, `DaprProtos.GetSecretResponse.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.GetSecretResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `containsData​(java.lang.String key)` | data is the secret value.
  `java.util.Map<java.lang.String,​java.lang.String>` | `getData()` | Deprecated.
  `int` | `getDataCount()` | data is the secret value.
  `java.util.Map<java.lang.String,​java.lang.String>` | `getDataMap()` | data is the secret value.
  `java.lang.String` | `getDataOrDefault​(java.lang.String key, java.lang.String defaultValue)` | data is the secret value.
  `java.lang.String` | `getDataOrThrow​(java.lang.String key)` | data is the secret value.

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDataCount

    int getDataCount()

         data is the secret value. Some secret store, such as kubernetes secret
         store, can save multiple secrets for single secret key.

    `map<string, string> data = 1;`

  - ### containsData

    boolean containsData​(java.lang.String key)

         data is the secret value. Some secret store, such as kubernetes secret
         store, can save multiple secrets for single secret key.

    `map<string, string> data = 1;`

  - ### getData

    @Deprecated java.util.Map<java.lang.String,​java.lang.String> getData()
    Deprecated.
    Use `getDataMap()` instead.

  - ### getDataMap

    java.util.Map<java.lang.String,​java.lang.String> getDataMap()

         data is the secret value. Some secret store, such as kubernetes secret
         store, can save multiple secrets for single secret key.

    `map<string, string> data = 1;`

  - ### getDataOrDefault

    java.lang.String getDataOrDefault​(java.lang.String key, java.lang.String defaultValue)

         data is the secret value. Some secret store, such as kubernetes secret
         store, can save multiple secrets for single secret key.

    `map<string, string> data = 1;`

  - ### getDataOrThrow

    java.lang.String getDataOrThrow​(java.lang.String key)

         data is the secret value. Some secret store, such as kubernetes secret
         store, can save multiple secrets for single secret key.

    `map<string, string> data = 1;`